// AboutUs.vue

<template>
 <div>
        <!-- Navigation Component -->
        <Navigation />
        <!-- Navigation Component -->
        <!-- About Us Page -->
        <div class="about-1">
           
          <div class="about-1-wrapper">
             <h4 data-aos="fade" data-aos-delay="10000" data-aos-duration="3000" data-aos-once="true" class="history-label">HISTORY OF <span class="text-pop1">Z3M</span></h4>

            <p data-aos="fade-up" data-aos-delay="300" data-aos-duration="1000" data-aos-once="true" class="about-text"><span class="text-pop">Z3M PTE LTD</span>was established in 2014 and has grown to be a leading<br/> automotive care product distributor and the premier car grooming company in<br/> Singapore and the Southeast Asia region.
            Z3M specializes in providing a one-stop solution<br/> for large scale B2B car washing projects as well as professional grooming<br/> for retail customers. To cater to our client's needs, Z3M is consistently at the<br/> cutting edge of professional car care and apply the latest products,<br/> techniques and technology to ensure our customers only<br/> receive the best and top-quality car care service.
            </p>
          </div>
        </div>
        <div class="about-2">
          <div class="about-2-wrapper">
         </div>
        </div>
        <div class="about-3">
          <v-row no-gutters>
            <div  class="vision-wrapper">
              <v-col >
                <h4 data-aos="fade" data-aos-delay="500" data-aos-once="true" class="visionmission-label">OUR VISION</h4>
                <p  data-aos="fade" data-aos-delay="800" data-aos-once="true" class="visionmission-text">To provide professional and dedicated automotive<br/> grooming services using only the best car care products.<br/> To market and distribute our imported working<br/> partner's car care products in Southeast Asia<br/> effectively and efficiently.</p>
              </v-col>
            </div>
            <div class="mission-wrapper">
              <v-col>
                <h4  data-aos="fade" data-aos-delay="500" data-aos-once="true"  class="visionmission-label">OUR MISSION</h4>
                <p  data-aos="fade" data-aos-delay="800" data-aos-once="true"  class="visionmission-text">To extend and supply professional services and products<br/> to major automotive industries locally and regionally.</p>
              </v-col>
            </div>
          </v-row>
        </div>

         <div class="about-3_5">
          <v-row no-gutters>
            <div class="vision-wrapper">
              <v-col>
                <div class="text_wrapper">
                  <h4 data-aos="fade" data-aos-delay="500" data-aos-once="true" class="visionmission-label">OUR VISION</h4>
                  <p data-aos="fade" data-aos-delay="800" data-aos-once="true" class="visionmission-text">To provide professional and dedicated automotive<br/> grooming services using only the best car care products.<br/> To market and distribute our imported working<br/> partner's car care products in Southeast Asia<br/> effectively and efficiently.</p>
                </div>
              </v-col>
            </div>
          </v-row>

          <v-row no-gutters >
            <div  class="mission-wrapper">
              <v-col>
                <div class="text_wrapper">
                  <h4 data-aos="fade" data-aos-delay="500" data-aos-once="true" class="visionmission-label">OUR MISSION</h4>
                  <p data-aos="fade" data-aos-delay="800" data-aos-once="true" class="visionmission-text">To extend and supply professional services and products<br/> to major automotive industries locally and regionally.</p>
                </div>
              </v-col>
            </div>
          </v-row>
        </div>

        <!-- About Us Page -->

        <!-- Footer Component -->
        <Footer />
        <!-- Footer Component -->

  </div>
</template>

<script>
import Navigation from './Navigation'
import Footer from './Footer'

  export default {
    name:'app',
    components: {
      Navigation,
      Footer

    }
  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.about-1{
  background-color: white;
  color: black;
  text-align: center;
}
.about-1-wrapper {
  margin: 0;
}
.text-pop {
  color: #4679b8;
  padding: 0 10px;
  font-weight: bold;
}
.text-pop1 {
  color: #194a8d;
  padding: 0;
  font-weight: bold;
  margin:0
}
.about-2{
  text-align: center;
}
.about-2-wrapper {
  margin: 0;
}
.about-text {
  width: 60%;
  margin: auto;
  font-size: 1.5em;
  padding: 30px 0 90px 0;
}
.about-3  {
  color: white;
}
.about-3_5{
  color:white
}
.vision-wrapper {
  width: 50%;
  text-align: right;
  margin: 0;
  background-color: #184A8F;
  padding-right: 60px;
  padding-top: 80px;
  padding-bottom: 110px;
}
.mission-wrapper {
  width: 50%;
  text-align: left;
  margin: 0;
  background-color: #FFA827;
  padding-left: 60px;
  padding-top: 80px;
  padding-bottom: 110px;
}
.visionmission-label {
  color: white;
  font-size: 50px;
  font-weight: bold;
  padding: 0;
  margin: 0;
}
.visionmission-text {
  width: 100%;
  font-size: 1.6em;
  padding-top: 20px;
  margin: auto;
}

.about_head{
    text-align: center;
    position: relative;
}

.about_head > img{
  width: 25vw;
  position: absolute;
  margin-left: 200px;
  right:1;
  bottom: 0;
  z-index: 1;
  margin-bottom: -100px

}

.about-4 {
  text-align: center;
  width: 90%;
  margin: auto;
}
.about-4-wrapper {
  margin: 0;
  padding-top: 80px;
}

.history-label {
  font-size: 50px;
  font-weight: bold;
  padding: 0;
  padding-top: 50px;
  margin: 0;
}
.history-text {
  width: 80%;
  margin: auto;
  font-size: 1.5em;
  padding: 80px 0;
}

.about-3_5{
  display: none
}

@media screen and  (max-width:1280px) {

  .about-text {
  width: 60%;
  margin: auto;
  font-size: 1.1em;
  padding: 50px 0;
}

.about-3{
  display: none;
}
.about-3_5{
  display: block;
  text-align: center;
}
.vision-wrapper{
  text-align: center;
  padding-right: 0;
  width: 100%;
}
.mission-wrapper{
  text-align: center;
  padding-left: 0;
  width: 100%;
}
.text_wrapper{
  width:90%;
  margin: auto
}
.about_head > img{
  width: 50vw;
  position: relative;
  margin:auto;
  padding-top: 0;
  padding-bottom: 0;

  right:unset;
  bottom: unset;
  z-index: unset;
  margin-bottom: 0

}

.visionmission-label {
  color: white;
  font-size: 1.5em;
  font-weight: bold;
  padding: 0;
  margin: 0;
}
.visionmission-text {
  width: 100%;
  font-size: 1.1em;
  padding-top: 20px;
  margin: auto;
}

.about-4 {
  text-align: center;
  width: 80%;
  margin: auto
}

.history-label {
  font-size: 1.5em;
  font-weight: bold;
  padding: 0;
  padding-top: 50px;
  margin: 0;
}
.history-text {
  width: 90%;
  margin: auto;
  font-size: 1.1em;
  padding: 20px 0;
}

}
</style>